Package org.opensaml.xacml.profile.saml

# Interface ReferencedPoliciesType

All Superinterfaces:
  `SAMLObject`, `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `ReferencedPoliciesTypeImpl`

public interface ReferencedPoliciesType extends SAMLObject, XACMLObject
/** A SAML XACML profile ReferencedPoliciesType schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML10`
Default element name for XACML 1.0.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML11`
Default element name for XACML 1.1.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML20`
Default element name for XACML 2.0.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML30`
Default element name for XACML 3.0.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME_XACML10`
QName of the XSI type.XACML1.0.
`static final QName`
`TYPE_NAME_XACML11`
QName of the XSI type.XACML1.1.
`static final QName`
`TYPE_NAME_XACML20`
QName of the XSI type.XACML2.0.
`static final QName`
`TYPE_NAME_XACML30`
QName of the XSI type.XACML3.0 .

## Method Summary

Modifier and Type
Method
Description
`List<PolicyType>`
`getPolicies()`
Gets the policies in this element.
`List<PolicySetType>`
`getPolicySets()`
Gets the policieSets in this element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME_XACML10

static final QName DEFAULT_ELEMENT_NAME_XACML10
Default element name for XACML 1.0.

### DEFAULT_ELEMENT_NAME_XACML11

static final QName DEFAULT_ELEMENT_NAME_XACML11
Default element name for XACML 1.1.

### DEFAULT_ELEMENT_NAME_XACML20

static final QName DEFAULT_ELEMENT_NAME_XACML20
Default element name for XACML 2.0.

### DEFAULT_ELEMENT_NAME_XACML30

static final QName DEFAULT_ELEMENT_NAME_XACML30
Default element name for XACML 3.0.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME_XACML10

static final QName TYPE_NAME_XACML10
QName of the XSI type.XACML1.0.

### TYPE_NAME_XACML11

static final QName TYPE_NAME_XACML11
QName of the XSI type.XACML1.1.

### TYPE_NAME_XACML20

static final QName TYPE_NAME_XACML20
QName of the XSI type.XACML2.0.

### TYPE_NAME_XACML30

static final QName TYPE_NAME_XACML30
QName of the XSI type.XACML3.0 .

## Method Details

### getPolicySets

List<PolicySetType> getPolicySets()
Gets the policieSets in this element.

Returns:
  the policieSets in this element

### getPolicies

List<PolicyType> getPolicies()
Gets the policies in this element.

Returns:
  the policies in this element